{% extends 'baseDashboard.html.twig' %}

{% block title %}Tableau de bord {% endblock %}

{% block body %}
  <div class="crancy-body-area">
      <!-- crancy Admin Menu -->
      <div class="crancy-smenu" id="CrancyMenu">
        <!-- Admin Menu -->
        <div class="admin-menu">
        {% include 'dashboard/includes/_sidebar.html.twig' %}
        </div>
        <!-- End Admin Menu -->
      </div>
      <!-- End crancy Admin Menu -->
      {% include 'dashboard/includes/_header.html.twig' %}
      
      <!-- crancy Dashboard -->
      <section class="crancy-adashboard crancy-show ">
      <br>
        <h2 class="text-center">Liste des tickets </h2>
        <div class="container container__bscreen">
           <div class="row">
            <div class="col-xxl-12 col-12 ">
              <div class="crancy-body">
                <!-- Dashboard Inner -->
                <div class="crancy-dsinner">
                  <div class="crancy-table-meta mg-top-30">
                    <div class="row">
                      <div class="col-12">
                        <div
                          class="crancy-flex-wrap crancy-flex-gap-15 crancy-flex-between"
                        >
                            <!-- End Table Meta Single -->
                            <!-- Table Meta Single -->
                            <a href="{{ path('app_admin_events_new') }}" class="crancy-btn crancy-projects-head__button crancy-projects-head__button--add" style="background-color: red; color: white;">
                           
                           Gérer les évènements
                            </a>

                            <a href="{{path('app_admin_ticket_new')}}" class="crancy-btn crancy-btn__filter">
                              <svg
                                xmlns="http://www.w3.org/2000/svg"
                                width="16"
                                height="16"
                                viewBox="0 0 16 16"
                                fill="none"
                              >
                                <path
                                  d="M8 1V15"
                                  stroke="white"
                                  stroke-width="2"
                                  stroke-linecap="round"
                                  stroke-linejoin="round"
                                />
                                <path
                                  d="M1 8H15"
                                  stroke="white"
                                  stroke-width="2"
                                  stroke-linecap="round"
                                  stroke-linejoin="round"
                                />
                              </svg>
                              Créer un ticket
                            </a>
                            <!-- End Table Meta Single -->
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>

                  <div class="tab-content" id="nav-tabContent">
                    <div
                      class="tab-pane fade show active"
                      id="crancy-table-tab-1"
                      role="tabpanel"
                      aria-labelledby="crancy-table-tab-1"
                    >
                      <div class="crancy-table crancy-table--v3 mg-top-30">
                        <div
                          class="crancy-table-filter crancy-table-filter-tables mg-btm-20">
                        </div>
                    
                        <!-- End crancy Table -->
                          <table  id="crancy-table__main" class="crancy-table__main crancy-table__main-v3">
                                    <thead>
                                        <tr>
                                            <th>No</th>
                                            <th>Évenement</th>
                                            <th>Identifiant du Ticket</th>
                                            <th>Nombre de Tickets</th>
                                            <th>Prix du Ticket</th>
                                            <th class="text-center">Actions</th> <!-- Ajout de la classe text-center -->
                                            
                                        </tr>
                                    </thead>
                                    <tbody class="crancy-table__body">
                                


                                    {% for ticket in tickets %}
                                    <tr>
                                        <td>{{ loop.index}}</td>
                                        <td>{{ ticket.events.name }}</td>
                                        <td> <span style="background-color: bisque;padding: 10px; "> {{ ticket.ticketUniqueId }}</span></td>
                                        <td>{{ ticket.ticketNumber }}</td>
                                        <td>{{ ticket.ticketPrice }}</td>
                                     
                                        <td>
                                            <a class="btn btn-primary" href="{{ path('app_admin_ticket_show', {'id': ticket.id}) }}">Détails</a>
                                            <a class="btn btn-success"  href="{{ path('app_admin_ticket_edit', {'id': ticket.id}) }}">Modifier</a>
                                            <a class="btn btn-success" href="{{ path('app_admin_ticket_edit', {'id': ticket.id}) }}" style="background-color: red; color: white; border-color: red;">Autoriser</a>

                                        </td>
                                    </tr>
                                {% else %}
                                    <tr>
                                        <td colspan="5">no records found</td>
                                    </tr>
                                {% endfor %}

                                    </tbody>
                                </table>
                      </div>
                    </div>
                  </div>
                </div>
                <!-- End Dashboard Inner -->
              </div>
            </div>
        </div>
      </section>
      <!-- End crancy Dashboard -->
    </div>


   
{% endblock %}


